# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    app.email.mailtrap: false
    app.email.mailtrap.host: 'smtp.mailtrap.io'
    app.email.mailtrap.port: 2525
    app.email.mailtrap.username: 'e7a50d61fe473a'
    app.email.mailtrap.password: 'ea7e2b37c7e080'

    app.email.host: '10.254.14.208'
    app.email.port: 25
    app.email.username: 'noresponder@scba.gov.ar'
    app.email.password: '123456789'
    
    app.email.sender.mail: 'noresponder@scba.gov.ar'
    app.email.sender.nombre: 'Consejo de la Magistratura'
    # app.paramruta: '%env(APP_RUTA)%'
    app.paramadjuntos: '%env(APP_RUTA_RIA_ADJUNTOS)%'
    app.paramadjuntos.poda: '%env(APP_RUTA_PODA_ADJUNTOS)%'
    app.paramadjuntos.poda.registro: '%env(APP_RUTA_PODA_REGISTRO_ADJUNTOS)%'
    app.uploads.files.url: '%env(UPLOADS_FILES_URL)%'
    app.uploads.fotos.url: '%env(RIA_ASSETS_URL)%/imagenes/ria'

    app.api.notificaciones.url: '%env(resolve:PATH_SSO_API_NOTIFICACIONES)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.


    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
    # App\Security\EventListener\SSOConsejoLogoutListener:
    #     tags:
    #         - name: 'kernel.event_listener'
    #           event: 'Symfony\Component\Security\Http\Event\LogoutEvent'
    #           dispatcher: security.event_dispatcher.mainria
    #           method: onLogoutEvent
    App\OAuth2\ConsejoOauthClient:
        decorates: knpu.oauth2.client.portal_consejo_oauth

    App\Service\FileExistsExtension:
        $projectDir: '%kernel.project_dir%'


    # ...

    # the `qipsius.tcpdf` service will be injected when a
    # `Qipsius\TCPDFBundle\Controller\TCPDFController` type-hint is detected
    Qipsius\TCPDFBundle\Controller\TCPDFController: '@qipsius.tcpdf'
